API ReferencePipelines
Create stage
Create a new stage in a pipeline.
Authorization
sessionAuth AuthorizationBearer <token>
NextAuth session token
In: header
Path Parameters
orgId*string
Format
uuidpipelineId*string
Format
uuidRequest Body
application/json
name*string
Length
1 <= lengthcolor?string
Default
"#6366f1"Match
^#[0-9a-fA-F]{6}$goal?integer
sortOrder?integer
Response Body
application/json
curl -X POST "https://platform.autophone.org/api/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/pipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08/stages" \ -H "Content-Type: application/json" \ -d '{ "name": "Negotiation", "color": "#f59e0b" }'{
"stage": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd",
"name": "string",
"color": "#6366f1",
"goal": 0,
"sortOrder": 0,
"isWonStage": false,
"isLostStage": false,
"createdAt": "2019-08-24T14:15:22Z"
}
}Empty
Empty
Empty
Empty